<form [formGroup]="form" class="flex-col">

    <mb-input formControlName="email" [placeholder]="emailPlaceholder"
        [class.invalid]="form.get('email')?.touched && form.get('email')?.hasError('pattern')"></mb-input>

    <mb-input formControlName="password"
        [class.invalid]="
        form.get('password')?.touched && form.get('password')?.hasError('required') ||
        form.get('password')?.touched && form.get('password')?.hasError('minlength') 
        "
        [type]='inputTypePass' [placeholder]="passwordPlaceholder"></mb-input> 

    <mb-input formControlName="password_confirmation" (keyup)="checkPass()"
        [class.invalid]="
        form.get('password_confirmation')?.touched && form.get('password_confirmation')?.hasError('required') ||
        form.get('password_confirmation')?.touched && form.get('password_confirmation')?.hasError('notSame')
        "
        [type]='inputTypePass' [placeholder]="password_confirmationPlaceholder"></mb-input> 

        <mat-error *ngIf="form.get('password')?.touched && form.get('password')?.hasError('minlength') ">
            The password must be at least 6 characters.
          </mat-error>
        <mat-error *ngIf="form.get('password_confirmation')?.touched && form.get('password_confirmation')?.hasError('notSame')">
            The password confirmation does not match
          </mat-error>
 
    <div class="control-wrapper">
        <mb-action-button (submit)='submit()' [disabled]='form.invalid' [value]="'Sing up'"></mb-action-button>
        <mb-action-button routerLink="/" [value]="'Log in'"></mb-action-button>
    </div>
</form>